<?php
/**
 * Update
 *
 * Seemless updates
 *
 * @package      responsive_mobile
 * @license      license.txt
 * @copyright    2014 CyberChimps Inc
 * @since        0.0.1
 *
 * Please do not edit this file. This file is part of the responsive_mobile Framework and all modifications
 * should be made in a child theme.
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/*
 * Update page templete meta data
 *
 * E.g: Change from `full-width-page.php` to `page-templates/full-width-page.php`
 *
 * This function only needes to be run once but it does not mater when. after_setup_theme should be fine.
 *
 */
function responsive_mobile_update_page_template_meta(){
	$args = array(
		'post_type' => 'page',
		'meta_query' => array(
			array(
				'key' => '_wp_page_template',
				'value' => 'default',
				'compare' => '!='
			)
		)
	);

	$query = new WP_Query( $args );

	if ( $query->have_posts() ) {

		while ( $query->have_posts() ) {
			$query->the_post();

			$meta_value = get_post_meta( get_the_ID(), '_wp_page_template', true );
			$page_templates_dir = 'page-templates/';
			$conatins = strpos( $meta_value, $page_templates_dir );

			if ( false === $conatins ) {
				$meta_value = $page_templates_dir . $meta_value;
				update_post_meta( get_the_ID(), '_wp_page_template', $meta_value );
			}

		}
	}
}
add_action( 'after_switch_theme', 'responsive_mobile_update_page_template_meta' );
